Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class HashList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList
                  edu.stanford.smi.protege.util.HashList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List

Deprecated. Use ArrayList instead.

    public class HashList

extends AbstractSequentialList
implements Cloneable, Serializable

A list the provides fast access to its elements. This code was copied from the JDK LinkedList class and hacked. JDK 1.4 offers a standard version of this class which we will soon switch to.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`HashList()` Deprecated. Constructs an empty list.
`HashList(Collection c)` Deprecated. Constructs a list containing the elements of the specified collection, in the order they are returned by the collection's iterator.

Method Summary
`void` | `add(int index, Object element)` Deprecated. Inserts the specified element at the specified position in this list.
`boolean` | `add(Object o)` Deprecated. Appends the specified element to the end of this list.
`boolean` | `addAll(Collection c)` Deprecated. Appends all of the elements in the specified collection to the end of this list, in the order that they are returned by the specified collection's iterator.
`boolean` | `addAll(int index, Collection c)` Deprecated. Inserts all of the elements in the specified collection into this list, starting at the specified position.
`void` | `addFirst(Object o)` Deprecated. Inserts the given element at the beginning of this list.
`void` | `addLast(Object o)` Deprecated. Appends the given element to the end of this list.
`void` | `clear()` Deprecated. Removes all of the elements from this list.
`Object` | `clone()` Deprecated. Returns a shallow copy of this `LinkedList` .
`boolean` | `contains(Object o)` Deprecated. Returns `true` if this list contains the specified element.
`Object` | `get(int index)` Deprecated. Returns the element at the specified position in this list.
`Object` | `getFirst()` Deprecated. Returns the first element in this list.
`Object` | `getLast()` Deprecated. Returns the last element in this list.
`List` | `getUnmodifiableList()` Deprecated.
`int` | `indexOf(Object o)` Deprecated. Returns the index in this list of the first occurrence of the specified element, or -1 if the List does not contain this element.
`int` | `lastIndexOf(Object o)` Deprecated. Returns the index in this list of the last occurrence of the specified element, or -1 if the list does not contain this element.
`ListIterator` | `listIterator(int index)` Deprecated. Returns a list-iterator of the elements in this list (in proper sequence), starting at the specified position in the list.
`Object` | `remove(int index)` Deprecated. Removes the element at the specified position in this list.
`boolean` | `remove(Object o)` Deprecated. Removes the first occurrence of the specified element in this list.
`Object` | `removeFirst()` Deprecated. Removes and returns the first element from this list.
`Object` | `removeLast()` Deprecated. Removes and returns the last element from this list.
`void` | `replace(int index, Object to)` Deprecated.
`void` | `replace(Object from, Object to)` Deprecated.
`Object` | `set(int index, Object element)` Deprecated. Replaces the element at the specified position in this list with the specified element.
`int` | `size()` Deprecated. Returns the number of elements in this list.
`Object[]` | `toArray()` Deprecated. Returns an array containing all of the elements in this list in the correct order.
`Object[]` | `toArray(Object[] a)` Deprecated. Returns an array containing all of the elements in this list in the correct order.
`String` | `toString()` Deprecated.

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, isEmpty, removeAll, retainAll`

Constructor Detail

### HashList

    public HashList()

  Deprecated.
  Constructs an empty list.

### HashList

    public HashList(Collection c)

  Deprecated.
  Constructs a list containing the elements of the specified collection, in the order they are returned by the collection's iterator.

  Parameters:
    `c` - Description of Parameter

Method Detail

### add

    public void add(int index,
                    Object element)

  Deprecated.
  Inserts the specified element at the specified position in this list. Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `AbstractSequentialList`
  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted.
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range ( `index < 0 || index > size()` ).

### add

    public boolean add(Object o)

  Deprecated.
  Appends the specified element to the end of this list.

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `AbstractList`
  Parameters:
    `o` - element to be appended to this list.
  Returns:
    `true` (as per the general contract of `Collection.add` ).

### addAll

    public boolean addAll(int index,
                          Collection c)

  Deprecated.
  Inserts all of the elements in the specified collection into this list, starting at the specified position. Shifts the element currently at that position (if any) and any subsequent elements to the right (increases their indices). The new elements will appear in the list in the order that they are returned by the specified collection's iterator.

  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `AbstractSequentialList`
  Parameters:
    `index` - index at which to insert first element from the specified collection.
    `c` - elements to be inserted into this list.
  Returns:
    Description of the Returned Value
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range ( `index < 0 || index > size()` ).

### addAll

    public boolean addAll(Collection c)

  Deprecated.
  Appends all of the elements in the specified collection to the end of this list, in the order that they are returned by the specified collection's iterator. The behavior of this operation is undefined if the specified collection is modified while the operation is in progress. (This implies that the behavior of this call is undefined if the specified Collection is this list, and this list is nonempty.)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `AbstractCollection`
  Parameters:
    `c` - elements to be inserted into this list.
  Returns:
    Description of the Returned Value
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range ( `index < 0 || index > size()` ).

### addFirst

    public void addFirst(Object o)

  Deprecated.
  Inserts the given element at the beginning of this list.

  Parameters:
    `o` - The feature to be added to the First attribute

### addLast

    public void addLast(Object o)

  Deprecated.
  Appends the given element to the end of this list. (Identical in function to the `add` method; included only for consistency.)

  Parameters:
    `o` - The feature to be added to the Last attribute

### clear

    public void clear()

  Deprecated.
  Removes all of the elements from this list.

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `List`
  Overrides:
    `clear` in class `AbstractList`

### clone

    public Object clone()

  Deprecated.
  Returns a shallow copy of this `LinkedList` . (The elements themselves are not cloned.)

  Overrides:
    `clone` in class `Object`
  Returns:
    a shallow copy of this `LinkedList` instance.

### contains

    public boolean contains(Object o)

  Deprecated.
  Returns `true` if this list contains the specified element. More formally, returns `true` if and only if this list contains at least one element `e` such that `(o==null ? e==null : o.equals(e))` .

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`
  Overrides:
    `contains` in class `AbstractCollection`
  Parameters:
    `o` - element whose presence in this list is to be tested.
  Returns:
    `true` if this list contains the specified element.

### get

    public Object get(int index)

  Deprecated.
  Returns the element at the specified position in this list.

  Specified by:
    `get` in interface `List`
  Overrides:
    `get` in class `AbstractSequentialList`
  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the specified position in this list.
  Throws:
    `IndexOutOfBoundsException` - if the specified index is is out of range ( `index < 0 || index >= size()` ).

### getFirst

    public Object getFirst()

  Deprecated.
  Returns the first element in this list.

  Returns:
    the first element in this list.

### getLast

    public Object getLast()

  Deprecated.
  Returns the last element in this list.

  Returns:
    the last element in this list.
  Throws:
    `NoSuchElementException` - if this list is empty.

### getUnmodifiableList

    public List getUnmodifiableList()

  Deprecated.

### indexOf

    public int indexOf(Object o)

  Deprecated.
  Returns the index in this list of the first occurrence of the specified element, or -1 if the List does not contain this element. More formally, returns the lowest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` , or -1 if there is no such index.

  Specified by:
    `indexOf` in interface `List`
  Overrides:
    `indexOf` in class `AbstractList`
  Parameters:
    `o` - element to search for.
  Returns:
    the index in this list of the first occurrence of the specified element, or -1 if the list does not contain this element.

### lastIndexOf

    public int lastIndexOf(Object o)

  Deprecated.
  Returns the index in this list of the last occurrence of the specified element, or -1 if the list does not contain this element. More formally, returns the highest index i such that `(o==null ? get(i)==null : o.equals(get(i)))` , or -1 if there is no such index.

  Specified by:
    `lastIndexOf` in interface `List`
  Overrides:
    `lastIndexOf` in class `AbstractList`
  Parameters:
    `o` - element to search for.
  Returns:
    the index in this list of the last occurrence of the specified element, or -1 if the list does not contain this element.

### listIterator

    public ListIterator listIterator(int index)

  Deprecated.
  Returns a list-iterator of the elements in this list (in proper sequence), starting at the specified position in the list. Obeys the general contract of `List.listIterator(int)` .

  The list-iterator is fail-fast : if the list is structurally modified at any time after the Iterator is created, in any way except through the list-iterator's own `remove` or `add` methods, the list-iterator will throw a `ConcurrentModificationException` . Thus, in the face of concurrent modification, the iterator fails quickly and cleanly, rather than risking arbitrary, non-deterministic behavior at an undetermined time in the future.

  Specified by:
    `listIterator` in interface `List`
  Specified by:
    `listIterator` in class `AbstractSequentialList`
  Parameters:
    `index` - index of first element to be returned from the list-iterator (by a call to `next` ).
  Returns:
    a ListIterator of the elements in this list (in proper sequence), starting at the specified position in the list.
  Throws:
    `IndexOutOfBoundsException` - if index is out of range ( `index < 0 || index > size()` ).
  See Also:
    `List.listIterator(int)`

### remove

    public Object remove(int index)

  Deprecated.
  Removes the element at the specified position in this list. Shifts any subsequent elements to the left (subtracts one from their indices). Returns the element that was removed from the list.

  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `AbstractSequentialList`
  Parameters:
    `index` - the index of the element to removed.
  Returns:
    the element previously at the specified position.
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range ( `index < 0 || index >= size()` ).

### remove

    public boolean remove(Object o)

  Deprecated.
  Removes the first occurrence of the specified element in this list. If the list does not contain the element, it is unchanged. More formally, removes the element with the lowest index `i` such that `(o==null ? get(i)==null : o.equals(get(i)))` (if such an element exists).

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `AbstractCollection`
  Parameters:
    `o` - element to be removed from this list, if present.
  Returns:
    `true` if the list contained the specified element.

### removeFirst

    public Object removeFirst()

  Deprecated.
  Removes and returns the first element from this list.

  Returns:
    the first element from this list.
  Throws:
    `NoSuchElementException` - if this list is empty.

### removeLast

    public Object removeLast()

  Deprecated.
  Removes and returns the last element from this list.

  Returns:
    the last element from this list.
  Throws:
    `NoSuchElementException` - if this list is empty.

### replace

    public void replace(int index,
                        Object to)

  Deprecated.

### replace

    public void replace(Object from,
                        Object to)

  Deprecated.

### set

    public Object set(int index,
                      Object element)

  Deprecated.
  Replaces the element at the specified position in this list with the specified element.

  Specified by:
    `set` in interface `List`
  Overrides:
    `set` in class `AbstractSequentialList`
  Parameters:
    `index` - index of element to replace.
    `element` - element to be stored at the specified position.
  Returns:
    the element previously at the specified position.
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range ( `index < 0 || index >= size()` ).

### size

    public int size()

  Deprecated.
  Returns the number of elements in this list.

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`
  Returns:
    the number of elements in this list.

### toArray

    public Object[] toArray()

  Deprecated.
  Returns an array containing all of the elements in this list in the correct order.

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`
  Overrides:
    `toArray` in class `AbstractCollection`
  Returns:
    an array containing all of the elements in this list in the correct order.

### toArray

    public Object[] toArray(Object[] a)

  Deprecated.
  Returns an array containing all of the elements in this list in the correct order. The runtime type of the returned array is that of the specified array. If the list fits in the specified array, it is returned therein. Otherwise, a new array is allocated with the runtime type of the specified array and the size of this list.

  If the list fits in the specified array with room to spare (i.e., the array has more elements than the list), the element in the array immediately following the end of the collection is set to null. This is useful in determining the length of the list only if the caller knows that the list does not contain any null elements.

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`
  Overrides:
    `toArray` in class `AbstractCollection`
  Parameters:
    `a` - the array into which the elements of the list are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose.
  Returns:
    an array containing the elements of the list.
  Throws:
    `ArrayStoreException` - if the runtime type of a is not a supertype of the runtime type of every element in this list.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `AbstractCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.